Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class BuiltInAtomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.AtomImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInAtomImpl

All Implemented Interfaces:
  Atom, BuiltInAtom

    public class BuiltInAtomImpl

extends AtomImpl
implements BuiltInAtom

Class representing a SWRL built-in atom

Constructor Summary
`BuiltInAtomImpl(OWLModel owlModel, SWRLBuiltinAtom atom)`
`BuiltInAtomImpl(String builtInName, String builtInPrefixedName, List<BuiltInArgument> arguments)`

Method Summary
`void` | `addArguments(List<BuiltInArgument> additionalArguments)`
`List<BuiltInArgument>` | `getArguments()`
`Set<String>` | `getArgumentsVariableNames()`
`String` | `getArgumentVariableName(int argumentNumber)`
`int` | `getBuiltInIndex()`
`String` | `getBuiltInName()`
`String` | `getBuiltInPrefixedName()`
`int` | `getNumberOfArguments()`
`Set<String>` | `getUnboundArgumentVariableNames()`
`boolean` | `hasUnboundArguments()`
`boolean` | `isArgumentAVariable(int argumentNumber)`
`boolean` | `isArgumentUnbound(int argumentNumber)`
`boolean` | `isSQWRLMakeCollection()`
`void` | `setBuiltInIndex(int builtInIndex)`
`void` | `setIsSQWRLMakeCollection()`
`void` | `setUsesSQWRLVariables()`
`String` | `toString()`
`boolean` | `usesAtLeastOneVariableOf(Set<String> variableNames)`
`boolean` | `usesSQWRLVariables()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.AtomImpl
`addReferencedClassName, addReferencedIndividualName, addReferencedPropertyName, addReferencedVariableName, getReferencedClassNames, getReferencedIndividualNames, getReferencedPropertyNames, getReferencedVariableNames, hasReferencedClasses, hasReferencedIndividuals, hasReferencedProperties, hasReferencedVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.Atom
`getReferencedClassNames, getReferencedIndividualNames, getReferencedPropertyNames, getReferencedVariableNames, hasReferencedClasses, hasReferencedIndividuals, hasReferencedProperties, hasReferencedVariables`

Constructor Detail

### BuiltInAtomImpl

    public BuiltInAtomImpl(OWLModel owlModel,
                           SWRLBuiltinAtom atom)
                    throws OWLFactoryException,
                           DatatypeConversionException

Throws:
  `OWLFactoryException`
  `DatatypeConversionException`

### BuiltInAtomImpl

    public BuiltInAtomImpl(String builtInName,
                           String builtInPrefixedName,
                           List<BuiltInArgument> arguments)

Method Detail

### getBuiltInName

    public String getBuiltInName()

  Specified by:
    `getBuiltInName` in interface `BuiltInAtom`

### getBuiltInPrefixedName

    public String getBuiltInPrefixedName()

  Specified by:
    `getBuiltInPrefixedName` in interface `BuiltInAtom`

### getArguments

    public List<BuiltInArgument> getArguments()

  Specified by:
    `getArguments` in interface `BuiltInAtom`

### getNumberOfArguments

    public int getNumberOfArguments()

  Specified by:
    `getNumberOfArguments` in interface `BuiltInAtom`

### getBuiltInIndex

    public int getBuiltInIndex()

  Specified by:
    `getBuiltInIndex` in interface `BuiltInAtom`

### setBuiltInIndex

    public void setBuiltInIndex(int builtInIndex)

  Specified by:
    `setBuiltInIndex` in interface `BuiltInAtom`

### usesSQWRLVariables

    public boolean usesSQWRLVariables()

  Specified by:
    `usesSQWRLVariables` in interface `BuiltInAtom`

### setUsesSQWRLVariables

    public void setUsesSQWRLVariables()

  Specified by:
    `setUsesSQWRLVariables` in interface `BuiltInAtom`

### isSQWRLMakeCollection

    public boolean isSQWRLMakeCollection()

  Specified by:
    `isSQWRLMakeCollection` in interface `BuiltInAtom`

### setIsSQWRLMakeCollection

    public void setIsSQWRLMakeCollection()

  Specified by:
    `setIsSQWRLMakeCollection` in interface `BuiltInAtom`

### usesAtLeastOneVariableOf

    public boolean usesAtLeastOneVariableOf(Set<String> variableNames)
                                     throws BuiltInException

  Specified by:
    `usesAtLeastOneVariableOf` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### isArgumentAVariable

    public boolean isArgumentAVariable(int argumentNumber)
                                throws BuiltInException

  Specified by:
    `isArgumentAVariable` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### isArgumentUnbound

    public boolean isArgumentUnbound(int argumentNumber)
                              throws BuiltInException

  Specified by:
    `isArgumentUnbound` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### hasUnboundArguments

    public boolean hasUnboundArguments()

  Specified by:
    `hasUnboundArguments` in interface `BuiltInAtom`

### getUnboundArgumentVariableNames

    public Set<String> getUnboundArgumentVariableNames()
                                                throws BuiltInException

  Specified by:
    `getUnboundArgumentVariableNames` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### getArgumentVariableName

    public String getArgumentVariableName(int argumentNumber)
                                   throws BuiltInException

  Specified by:
    `getArgumentVariableName` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### getArgumentsVariableNames

    public Set<String> getArgumentsVariableNames()
                                          throws BuiltInException

  Specified by:
    `getArgumentsVariableNames` in interface `BuiltInAtom`
  Throws:
    `BuiltInException`

### addArguments

    public void addArguments(List<BuiltInArgument> additionalArguments)

  Specified by:
    `addArguments` in interface `BuiltInAtom`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.